import graphene
from graphene_django import DjangoObjectType

from aleksis.core.schema.base import PermissionsTypeMixin

from ..models import EventRegistration


class EventRegistrationType(PermissionsTypeMixin, DjangoObjectType):
    class Meta:
        model = EventRegistration


class EventRegistrationInputType(graphene.InputObjectType):
    full_name = graphene.String(required=True)
    email = graphene.String(required=True)
    notes = graphene.String(required=False)
    shipping_option = graphene.ID(required=True)
    payment_option = graphene.ID(required=True)
    items = graphene.List(OrderItemInputType, required=True)
    shipping_full_name = graphene.String(required=False)
    second_address_row = graphene.String(required=False)
    street = graphene.String(required=False)
    housenumber = graphene.String(required=False)
    plz = graphene.String(required=False)
    place = graphene.String(required=False)
